Search found 418 matches

Go to advanced search

by Mark Szlazak
Fri Apr 21, 2017 9:14 pm
Forum: Open discussion
Topic: Comparison of CAD software architecture.
Replies: 0
Views: 442

Comparison of CAD software architecture.

This might be asking for much but is there any comparison of the fundamental designs behind different major CAD systems like FreeCAD, Siemens NX, Solidworks, Autocad, etc. What makes some better or worse on different tasks?
by Mark Szlazak
Fri Apr 21, 2017 2:19 pm
Forum: Python scripting and macros
Topic: Need help scripting Part.makeCompound with ViewObject
Replies: 5
Views: 604

Re: Need help scripting Part.makeCompound with ViewObject

Thanks for the help Chris and the explanation Ickby. If i use black for everything then that gives me the desired but colour restricted effect. To bad there isn't an easier way.
by Mark Szlazak
Fri Apr 21, 2017 5:29 am
Forum: Python scripting and macros
Topic: Need help scripting Part.makeCompound with ViewObject
Replies: 5
Views: 604

Need help scripting Part.makeCompound with ViewObject

I would like to combine a group of edges of certain thickness and colour with spheres that represent intersection points of these edges. The code i used is: s1 = doc.addObject("Part::Feature", "s1") s1.Shape = Part.makeCompound([Part.Shape([Part.Line(dts2[0], dts2[1]), Part.Line(e3.Shape.Vertexes[0]...
by Mark Szlazak
Thu Apr 20, 2017 6:15 pm
Forum: Python scripting and macros
Topic: Problems using Part.makeCompound with ViewObject
Replies: 2
Views: 353

Problems using Part.makeCompound with ViewObject

Would like to combine a group of edges of certain thickness and colour with spheres that represent intersection points of these edges. I used spheres as intersections. The code i used was: s1 = doc.addObject("Part::Feature", "s1") s1.Shape = Part.makeCompound([Part.Shape([Part.Line(dts2[0], dts2[1])...
by Mark Szlazak
Mon Apr 17, 2017 7:07 am
Forum: Open discussion
Topic: What about using GPU's to speed up matrix math?
Replies: 10
Views: 2722

Re: What about using GPU's to speed up matrix math?

How I would apply deep learning to CAD is something I could tell you only after you signed an NDA. :lol:
by Mark Szlazak
Sat Apr 15, 2017 10:23 pm
Forum: Open discussion
Topic: What about using GPU's to speed up matrix math?
Replies: 10
Views: 2722

Re: What about using GPU's to speed up matrix math?

Maybe looking at what the AI/deep learning packages are doing could help with implementation issues like threading. Torch 7 is one open source package. Facebook made public it's Cuda multithreading software for torch a couple years back.
by Mark Szlazak
Sat Apr 15, 2017 7:16 am
Forum: Open discussion
Topic: What about using GPU's to speed up matrix math?
Replies: 10
Views: 2722

What about using GPU's to speed up matrix math?

I don't know if this would be something a CAD package should have. GPU's for doing the heavy lifting of matrix math are used in machine learning/deep learning/neural networks to do hardware speed ups of matrix math. They are not even connected to video monitors and are used like floating point copro...
by Mark Szlazak
Thu Apr 13, 2017 3:31 am
Forum: Help on using FreeCAD
Topic: Setting view direction from within script
Replies: 2
Views: 336

Setting view direction from within script

I manually found a "custom" view on the GUI that i like for a bunch of parts i created with a script. If i save the result to a FreeCAD file then I get this custom view automatically when opening the file. How can i extract this view information from FreeCAD to put in my script so that anyone using ...

Go to advanced search